package com.usky.rule.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.rule.domain.RuleEngineLog;
import com.usky.rule.vo.RuleEngineContent;
import com.usky.rule.vo.RuleEngineLogPageRequest;

public interface RuleEngineLogService  extends CrudService<RuleEngineLog> {
    void add(RuleEngineLog log);
    void update(RuleEngineLog log);
    void remove(Long id);
    RuleEngineContent getById(Long id);
    CommonPage<RuleEngineLog> pageList(RuleEngineLogPageRequest request);
}
